package com.xhpc.charging.station.service;

import com.xhpc.common.core.domain.R;
import com.xhpc.common.domain.Requirement;
import com.xhpc.common.domain.RequirementTask;
import com.xhpc.common.domain.RequirementTime;

import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @Date 2025-07-11 15:59
 */
public interface IXhpcRequirementService {


    List<Map<String, Object>> getLsit(Map<String, Object> params);

    Map<String, Object> getRequirementById(Long requirementId);

    Map<String, Object> getRequirementTaskById(Long requirementId);

    R updateTaskById(Long requirementId,Integer status);
    List<Map<String, Object>> getTaskList(Map<String, Object> params);
    int addRequirement(Requirement requirement);

    int addRequirementTime(RequirementTime requirementTime);

    int addRequirementTask(RequirementTask requirementTask);

}
